Bug 947238 - perl-DateTime-1.01 is available
Summary: perl-DateTime-1.01 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DateTime
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-01 21:07 UTC by Upstream Release Monitoring
Modified: 2013-04-20 20:03 UTC (History)
6 users (show)

Fixed In Version: perl-DateTime-1.01-1.fc19
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 20:03:08 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2013-04-01 21:07:51 UTC
Latest upstream release: 1.01
Current version in Fedora Rawhide: 0.78
URL: http://search.cpan.org/dist/DateTime/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Petr Pisar 2013-04-02 11:27:57 UTC
In my opinion this release should go to all Fedoras. First this is pure bug-fix release, second this package delivers leap seconds calendar, so it should be kept up-to-date as much as possible.

Please put this version into Fedora 18 and 17.

Comment 2 Fedora Update System 2013-04-02 12:05:28 UTC
perl-DateTime-1.01-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-DateTime-1.01-1.fc18

Comment 3 Fedora Update System 2013-04-02 12:05:56 UTC
perl-DateTime-1.01-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-DateTime-1.01-1.fc17

Comment 4 Paul Howarth 2013-04-03 13:46:51 UTC
Please do a build for Rawhide too - Rawhide no longer inherits from branched.

It would be nice if you could do buildroot overrides for the other branches too, as some other DateTime packages will be FTBFS with DateTime ≥ 1.00 and will need updating.

Comment 5 Petr Šabata 2013-04-03 14:03:31 UTC
(In reply to comment #4)
> Please do a build for Rawhide too - Rawhide no longer inherits from branched.

Strange.  I always build for Rawhide first and am almost sure I submitted it.  Well, doing that now.

> It would be nice if you could do buildroot overrides for the other branches
> too, as some other DateTime packages will be FTBFS with DateTime ≥ 1.00 and
> will need updating.

Could you be more specific?

Comment 6 Paul Howarth 2013-04-03 14:10:29 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > It would be nice if you could do buildroot overrides for the other branches
> > too, as some other DateTime packages will be FTBFS with DateTime ≥ 1.00 and
> > will need updating.
> 
> Could you be more specific?

DateTime::Format::Builder and DateTime::Format::Strptime have both been updated to fix tests that broke with DateTime 1.00.

Comment 7 Fedora Update System 2013-04-03 14:39:19 UTC
perl-DateTime-1.01-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-DateTime-1.01-1.fc19

Comment 8 Petr Šabata 2013-04-03 14:42:20 UTC
Alright, I've just submitted overrides for f17-f19.

Comment 9 Fedora Update System 2013-04-03 16:11:02 UTC
Package perl-DateTime-1.01-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-DateTime-1.01-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4760/perl-DateTime-1.01-1.fc19
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-04-11 23:19:39 UTC
perl-DateTime-1.01-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-04-11 23:20:10 UTC
perl-DateTime-1.01-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-04-20 20:03:10 UTC
perl-DateTime-1.01-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.